# SPIN: Self supervised Pointcloud latent Information learning Network

related unsupervised papers are available in `files/`

## Setup
```
bash setup_env.sh
```

## download datasets
```
bash download_data.sh
```

## download models
```
bash download_models.sh
```

## configs
```
config1.yaml => classification of ModelNet 40

config2.yaml => semantic segmentation of Shapenet

config_unsupervised.yaml => unsupervised representation learning

config_finetune.yaml => using the unsupervised model, fine tune with supervision
```

## Augmentations

- [x] translation (-1 to 1 m in all axes)
- [x] rotation (0 to 360 degrees)
- [x] scaling (range: [2/3, 3/2])
- [x] jitter (gaussian noise, sigma=1cm)

## Run self-supervised training

```
python main_unsup.py --load_config config/cls_unsupervised.py

```

## Feature Visualization
![alt text](figs/feature_viz.png)

