# !/usr/bin/python

import numpy as np
import matplotlib
import matplotlib.pyplot as plt
import glob

input_folder = "/home/srikanth/spin/outputs/"

train_files = glob.glob(input_folder+"*train*")
val_files = glob.glob(input_folder+"*val*")
train_files.sort()
val_files.sort()
# test_files = glob.glob(input_folder+"*train*")

fig, (ax0, ax1) = plt.subplots(nrows=2)
DPI = fig.get_dpi()
fig.set_size_inches(4080.0/float(DPI),4080.0/float(DPI))
def plt_set(files, ax, info):
  for file in files:
    print(file)
    data = np.loadtxt(file, delimiter=",", skiprows=1)
    ax.plot(data[:,0], data[:,4])
  ax.legend(labels=['tiv','tv'])
  ax.axis(ymin=0.6,ymax=1)
  ax.set_title("overall accuracy "+info)
  ax.set_xlabel("epochs")
  ax.set_ylabel("accuracy")
  ax.grid(alpha=0.7, linestyle=':')


plt_set(train_files, ax0, "(train set)")
plt_set(val_files, ax1, "(val set)")
plt.show()
